# eric3.UI.PixmapCache

Module implementing a pixmap cache for icons.

### Classes

PixmapCache | Class implementing a pixmap cache for icons.

### Functions

getPixmap | Module function to retrieve a pixmap.

## PixmapCache

Class implementing a pixmap cache for icons.

### Derived from

None

### Methods

PixmapCache | Constructor
getPixmap | Public method to retrieve a pixmap.

### PixmapCache (Constructor)

PixmapCache()

Constructor

### PixmapCache.getPixmap

getPixmap(key)

Public method to retrieve a pixmap.

key
  name of the wanted pixmap (string)

Returns:
  the requested pixmap (QPixmap)

Up

## getPixmap

getPixmap(key, cache = pixCache)

Module function to retrieve a pixmap.

key
  name of the wanted pixmap (string)

Returns:
  the requested pixmap (QPixmap)

Up